Param(
    [parameter(Mandatory=$true)]
    [ValidateSet('CH','PL','SE','NL','DK','NO','DE')]
    [String] $envCountry
    )
try{
    Set-DbatoolsInsecureConnection -SessionOnly
    . .\..\.env\dbadmin.ps1
    if($envCountry -eq 'CH'){
        Write-Output "Loading Switzerland Environment Settings"
        . .\..\.env\Import-envCH.ps1
        $country = 'Switzerland'
    }
    if($envCountry -eq 'SE'){
        Write-Output "Loading Swidish Environment Settings"
        . .\.env\Import-envSE.ps1
        $country = 'Sweden'
    }
    if($envCountry -eq 'PL'){
        Write-Output "Loading Swidish Environment Settings"
        . .\.env\Import-envPL.ps1
        $country = 'Poland'
    }
    if($envCountry -eq 'NO'){
        Write-Output "Loading Swidish Environment Settings"
        . .\.env\Import-envNO.ps1
        $country = 'Norway'
    }
    if($envCountry -eq 'DE'){
        Write-Output "Loading Germany Environment Settings"
        . .\.env\Import-envDE.ps1
        $country = 'Germany'
    }
}
catch{
    Write-Error $_
}
